RyTask docs
REST APISetup

Bootstrap the initial org + owner + workspace + starter project (FR-AUTH-010)

View as MarkdownOpen in ChatGPTOpen in Claude
POST
/setup

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/setup" \  -H "Content-Type: application/json" \  -d '{    "organizationName": "string",    "ownerName": "string",    "ownerEmail": "user@example.com",    "ownerPassword": "pa$$word"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 0,  "user": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "user@example.com",    "name": "string",    "emailVerified": true  }}
Empty
{  "code": "string",  "message": "string",  "details": {}}